Tiny Core Linux

Tiny Core Base => TCB News => Final Releases => Topic started by: Juanito on September 14, 2013, 08:29:28 AM

Title: Tiny Core v5.0
Post by: Juanito on September 14, 2013, 08:29:28 AM
Team Tiny Core is proud to announce the release of Core v5.0
http://www.tinycorelinux.net/5.x/x86/release

Changelog for 5.0:
* kernel update to 3.8.10 with (u)efi boot enabled
* option to use vmlinuz + rootfs.gz + modules.gz or vmlinuz64 + rootfs.gz + modules64.gz (where boot loader permits)
* aterm, freetype, imlib2, jpeg and libpng factored out of Xlibs/Xprogs
* glibc updated to 2.17 and recompiled against 3.8.x kernel headers
* gcc updated to 4.7.2, recompiled against 3.8.x kernel headers and cloog, gmp, mpc, mpfr and ppl
* e2fsprogs base libs/apps updated to 1.42.7
* util-linux base libs/apps updated to 2.23.1
* scm extensions have been dropped
* /usr/sbin/fstype modified for new blkid output (supress "/dev/sda" type output in /etc/fstab and mount gui)
* fixed copy2fs bug with tc-load
* localhost.local domain added to /etc/hosts, /usr/bin/sethostname for avahi compatibility/libcups printing
* 50-udev-default.rules adjusted to allow rw access to /dev/rfkill

Note that due to factoring out and updating libpng, many extensions from the tc-4.x repo will not work with tc-5.0.

Please feel free to test any extensions from tc-4.x with tc-5.0 and report progress in the tce section of the forums so that working extensions can be copied to the 5.x repo.

Note also that due to the update to Xorg-7.7 and libs, users should mark Xlibs, Xprogs, Xvesa, Xfbdev and Xorg-7.6 for deletion, reboot and download the latest versions (Xorg-7.6 is replaced by Xorg-7.7). Again, use the tce section of the forums to report any problems.

Finally, note that users will need to download a terminal extension (aterm or others) and load it prior to starting Xvesa, Xfbdev or Xorg-7.7

The new repository area:
http://www.tinycorelinux.net/5.x/x86/tcz/

Edit: updated/corrected URL
Title: Re: Tiny Core v5.0
Post by: gordonselfish on September 14, 2013, 06:01:04 PM
Hi

as I already had RC1, I downloaded the vmlinuz and core and made appropriate changes to my bootloader.

APPS update says "could not fetch md5 database"
Code: [Select]
version
5.0
tc@box:~$ tce-update
wget: can't connect to remote host (89.22.99.37): Connection refused
Could not fetch md5 database

EDIT
found a recent post on 5.x with
Quote
Is the contents of /opt/tcemirror the following?
http://distro.ibiblio.org/tinycorelinux/

mine wasn't so I changed it to above quote and now updates appears
but I am reluctant to advise I think it should be my rc1 contents of
Quote
http://repo.tinycorelinux.net/
Title: Re: Tiny Core v5.0
Post by: curaga on September 14, 2013, 11:39:58 PM
There was a router hiccup today unfortunately.
Title: Re: Tiny Core v5.0
Post by: gordonselfish on September 15, 2013, 02:30:26 AM
great,  correct entry now works for tcemirror as http://repo.tinycorelinux.net/
Title: Re: Tiny Core v5.0
Post by: meo on September 15, 2013, 05:20:09 AM
Hi Tiny Core team!

Just trying out TC 5.0 and it works well as far as I can see. Now I guess that it is time for expanding the repo and keeping it up to date. Well done!!!  :)

Kind regards,
meo

Title: Re: Tiny Core v5.0
Post by: helasz on September 15, 2013, 11:23:01 PM
Hi All,

It is great to have a new release. I am wondering whether it would be possible to have a second kernel version also for TCL 5.0. The fact is that finally a new kernel version (3.10.x) was marked longterm on kernel.org, at the same time 3.8.x has reached EOL. New version of kernel needs always extra work, but in this case it may be worth of.
Title: Re: Tiny Core v5.0
Post by: Juanito on September 16, 2013, 12:35:52 AM
A new kernel is not planned at the moment, but it shouldn't be too big a deal for you to make you own
Title: Re: Tiny Core v5.0
Post by: Zendrael on September 16, 2013, 09:25:50 AM
Hello!

I'm running 4.7.7 and to update may I just replace the existing core.gz and vmlinuz (and deleting then installing again the X libs)?

What should I do with the modules.gz and rootfs.gz?

Thanks!
Title: Re: Tiny Core v5.0
Post by: curaga on September 16, 2013, 09:27:41 AM
I'm running 4.7.7 and to update may I just replace the existing core.gz and vmlinuz (and deleting then installing again the X libs)?

Yes, do that, and afterwards update extensions.

Quote
What should I do with the modules.gz and rootfs.gz?

No need to do anything - core.gz contains both.
Title: Re: Tiny Core v5.0
Post by: Zendrael on September 16, 2013, 09:33:43 AM
Thank you Mr. Curaga!
Title: Re: Tiny Core v5.0
Post by: sihorton on September 16, 2013, 11:48:34 AM
Excellent, well done tinycore team!

Cannot wait to download this and play with it and then update nodejs extension to 5.0
Title: Re: Tiny Core v5.0
Post by: wt on September 16, 2013, 12:28:36 PM
I don't see a core64.gz anymore. Trying to boot with the following qemu line failed to load any modules:
Code: [Select]
qemu-system-x86_64 --kernel vmlinuz64 --initrd core.gz -netdev user,id=mynet0,hostfwd=tcp:127.0.0.1:2223-:22 -device virtio-net-pci,netdev=mynet0
which isn't surprising since the core.gz is 32-bit and the vmlinux64 is 64-bit. I then tried the following:
Code: [Select]
cp modules64.gz core64.gz
dd if=rootfs.gz of=core64.gz bs=1 oseek=3797720

This built a working core64.gz that worked. Would someone please post a file built like that? It makes working with tinycore a little easier. :)
Title: Re: Tiny Core v5.0
Post by: chattrhand on September 16, 2013, 12:34:30 PM

Hi TinyCoreTeam,

my actual Frugal TinyCore Installation had been created with v4.7.5 on an iMac.
It worked fine with v4.7.6 and v4.7.7 and also works with v5.0.

My extensions working also with v5.0  are:
abiword-2.8
ace-of-penguins
firefox
flburn
flit
fluff
gaiksaurus
getflash11
gimp
gnumeric
GNUPaint
gparted
gnupg2
KeePassX
PidginInternetMessenger
TCInstall
Terminal
Viewnior
XChatIRC
Xpdf

gpa is missing and cannot be post-installed (hope it will come soon)

I installed alsa.tcz, alsaconf.tcz and tried  sudo alsaconf  but no sound.

I created a new empty Installation and installed alsa.tcz and alsaconf.tcz
and was able to  sudo alsaconf  and speaker-test worked; installed firefox
and could even youtube with sound, with volume control of flit.tcz

Great work!
Title: Re: Tiny Core v5.0
Post by: coreplayer2 on September 16, 2013, 03:37:54 PM
I boot various 32bit and 64bit kernels from the same partition and boot loader, each share the same home, opt and tce directories located in the last few GB's of a 256GB SSD, only difference is they have independent onboot.lst's as specified in the extlinux boot stanza to accommodate their specific modules



Code: [Select]
...
LABEL TinyCore32
MENU LABEL TinyCore32
TEXT HELP
Boot tc-32-bit kernel
ENDTEXT
KERNEL /tce/boot/vmlinuz
APPEND initrd=/tce/boot/core.gz loglevel=3 tce=sda2 opt=sda2 home=sda2 lst=onboot.lst blacklist=bcm,ssb,b43


LABEL TinyCore64
MENU LABEL TinyCore64
TEXT HELP
Boot tc 64-bit kernel
ENDTEXT
KERNEL /tce/boot/vmlinuz64
APPEND initrd=/tce/boot/rootfs.gz,/tce/boot/modules64.gz loglevel=3 tce=sda2 opt=sda2 home=sda2 lst=onboot64.lst blacklist=bcm,ssb,b43
...
Title: Re: Tiny Core v5.0
Post by: Juanito on September 16, 2013, 08:18:07 PM
I don't see a core64.gz anymore.

It's rootfs.gz + modules64.gz you need
Title: Re: Tiny Core v5.0
Post by: Juanito on September 16, 2013, 11:35:12 PM
My extensions working also with v5.0  are:
abiword-2.8
ace-of-penguins
fluff
gaiksaurus
getflash11
gimp
gnumeric
GNUPaint
gnupg2
KeePassX
PidginInternetMessenger
TCInstall
Terminal
Viewnior
XChatIRC
Xpdf

Did you really test all of these with tc-5.x (for example fluff and gimp will not work with tc-5.x)?
Title: Re: Tiny Core v5.0
Post by: helasz on September 17, 2013, 06:13:52 AM
Hi All,

According to zlib's home page (http://www.zlib.net/ (http://www.zlib.net/)) version 1.2.7 has some rare bug, they took away even the source for that version. It seems to be reasonable to update that package.
Title: Re: Tiny Core v5.0
Post by: Juanito on September 17, 2013, 09:57:01 AM
It depends - we'd have to weigh "very rare bug" against what updating zlib might break...
Title: Re: Tiny Core v5.0
Post by: Zendrael on September 17, 2013, 10:18:27 AM
Hi!

Core 5.0 (CorePlus) is working in my machine (Vortex86 MX+ SoC) but is much slower than CorePlus 4.7.7.... Loads extensions slower and after retoring mydata.tgz (which has 113kb) takes another long time to start Xvesa!

Besides that, is working ok!

Thanks!
Title: Re: Tiny Core v5.0
Post by: wt on September 17, 2013, 11:06:00 AM
I don't see a core64.gz anymore.

It's rootfs.gz + modules64.gz you need

I am starting tinycore in a Qemu VM. Qemu doesn't appear to support launching with multiple initrds, so I had to manually combine the file like I did in my post above. I assumed that since core.gz was there that core64.gz should also be there.

FTR, originally, I thought that the gz files had to be aligned in the constructed initramfs file (thus the dd instead of catting). Turns out that is incorrect. I was able to do the following to create the core64.gz file:
Code: [Select]
cat modules64.gz rootfs.gz > core64.gz
That's simple enough that I don't practically care about having core64.gz. However, I would have expected core64.gz to exist for consistency since core.gz exists for the 32-bit stuff.

Also, why are my code blocks in these forum posts showing up with that annoying "newbielink:javascript:void(0); [nonactive]" before the block? Can I fix that somehow?
Title: Re: Tiny Core v5.0
Post by: Rich on September 17, 2013, 05:35:59 PM
Hi wt
Quote
Also, why are my code blocks in these forum posts showing up with that annoying "newbielink:javascript:void(0); [nonactive]" before the block? Can I fix that somehow?
The  "newbielink:javascript:void(0); [nonactive]"  will go away once you have one or two more posts to your credit.
Title: Re: Tiny Core v5.0
Post by: coreplayer2 on September 17, 2013, 07:25:32 PM
My extensions working also with v5.0  are:
abiword-2.8
ace-of-penguins
fluff
gaiksaurus
getflash11
gimp
gnumeric
GNUPaint
gnupg2
KeePassX
PidginInternetMessenger
TCInstall
Terminal
Viewnior
XChatIRC
Xpdf

Did you really test all of these with tc-5.x (for example fluff and gimp will not work with tc-5.x)?

And Ace-of-Penguins :(  which cannot open shared object file libpng12.so.0    (seems familiar I think)
Title: Re: Tiny Core v5.0
Post by: coreplayer2 on September 21, 2013, 08:33:46 AM
Not sure what happened but have found current core.gz (5.0) has issue supporting custom boot code lst=myonboot.lst

whereas
core.gz (rc1)

and current
rootfs.gz,modules.gz (5.0)
and
rootfs.gz,modules64.gz (5.0)

all support the boot option lst=xxxxx.lst


edit:  Perhaps not supporting the boot code lst= is not the best description.  if I rename the onboot.lst to onboot32.lst for example, during boot onboot32.lst will be used despite requesting ' lst=base.lst ' via append to boot config file for the specific boot menu item